Subject: Re: [PATCH 0/1] ref: add object check for regular ref

From: shejialuo <[email-masked]>
Date: Sun, 5 Jan 2025 14:30:35 +0800

On Fri, Dec 27, 2024 at 09:40:47PM +0800, shejialuo wrote:
> Hi All:
> 
> When I implement the code for packed ref content checks, I somehow
> notice that I ignore checks for the object. In the first glance, I think
> I could make this patch in the first of my packed ref content check
> series. However, this is not a good idea which may cause the reviewers
> more overhead.
> 
> And this patch aims at checking whether the object exists and whether
> the type of the object is correct.
> 
> Thanks,
> Jialuo
> 
> shejialuo (1):
>   ref: add object check for regular ref
> 
>  refs/files-backend.c     | 50 ++++++++++++++++++++++++++++--------
>  t/t0602-reffiles-fsck.sh | 55 ++++++++++++++++++++++++++++++++++++++++
>  2 files changed, 95 insertions(+), 10 deletions(-)
> 
> -- 
> 2.47.1
> 

Please ignore this patch, I will send it together within the packed-ref
consistency implementation.

Thanks,